﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Test1_2311654夏歆哲
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void addButton_Click(object sender, EventArgs e)
        {
            string name = nameBox.Text;
            decimal price = decimal.Parse(priceBox.Text);

            string color;
            if (colorRadioWhite.Checked)
            {
                color = "white";
            }
            else if (colorRadioGrey.Checked)
            {
                color = "grey";
            }
            else
            {
                color = "blue";
            }

            Product product = new Product(name, price, color);

            nameLabel.Text += product.Name;
            priceLabel.Text += product.Price.ToString();
            colorLabel.Text += product.Color;
        }
    }
    public class Product
    {
        private string _name;
        private decimal _price;
        private string _color;

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }
        public decimal Price
        {
            get { return _price; }
            set { _price = value; }
        }
        public string Color
        {
            get { return _color; }
            set { _color = value; }
        }

        public Product (string name, decimal price, string color)
        {
            this.Name = name;
            this.Price = price;
            this.Color = color;
        }
    }
}
