﻿using System;
using System.IO;
using System.Drawing;
using System.Windows.Forms;

namespace Note654夏歆哲
{
    public partial class FrmChangeAvatars : Form
    {
        byte[] imageData;
        public FrmChangeAvatars()
        {
            InitializeComponent();
        }

        private void selectImage_Click(object sender, EventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Title = "请选择头像";
            openFileDialog.Filter = "图像文件 (*.jpg)|*.jpg|图像文件 (*.png)|*.png";
            if (openFileDialog.ShowDialog()  == DialogResult.OK)
            {
                Image image = Image.FromFile(openFileDialog.FileName);
                imageData = PublicVar.ImageToByteArray(image);
                avatars.Image = image;
            }
        }

        private void FrmChangeAvatars_Load(object sender, EventArgs e)
        {
            if (PublicVar.avatars != null)
            {
                imageData = PublicVar.avatars;
                using (MemoryStream ms = new MemoryStream(imageData))
                {
                    Image image = Image.FromStream(ms);
                    avatars.Image = image;
                }
            }
        }

        private void confirm_Click(object sender, EventArgs e)
        {
            PublicVar.avatars = imageData;
            this.Close();
        }
    }
}
