﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RegexTest654
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void submit_Click(object sender, EventArgs e)
        {
            Regex rg = new Regex(@"^[A-Za-z0-9]{6,12}$");

            if (!rg.Match(username.Text).Success)
            {
                MessageBox.Show("用户名验证错误！");
                return;
            }

            rg = new Regex(@"^?:\d{3,4}-?\d{7,8}$");

            if (!rg.Match(phone.Text).Success)
            {
                MessageBox.Show("电话验证错误！");
                return;
            }

            MessageBox.Show("验证通过！");
        }

        private void reset_Click(object sender, EventArgs e)
        {
            username.Text = "";
            phone.Text = "";
        }
    }
}
