﻿use master;
if exists(select * from sys.databases where name=N'AddressBookDB') drop database AddressBookDB;
go
create database AddressBookDB collate Chinese_PRC_CI_AS;
go
use AddressBookDB;
go
create table [User]
(
	uid int identity(1000, 1) primary key,
	name nvarchar(20) not null,
	company nvarchar(50),
	mobile varchar(20),
	email varchar(50)
);
create table [Group]
(
	gid int identity(1, 1) primary key,
	name nvarchar(20) not null
);
create table UG
(
	ugid int identity(1,1) primary key,
	uid int foreign key references [User](uid),
	gid int foreign key references [Group](gid),
	groupmax int,
	contactmax int
);
create table [Admin]
(
	username varchar(20) primary key,
	password varchar(20) not null
);
insert into [User](name, company) values('Tom', '立达');
insert into [Group] values('家人'),('同学');

insert into UG values(1000, 2, 10, 1000);
insert into Admin values('admin', 'admin');

select * from [User];
select * from [Group];
select * from [UG];