﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConTriangleArea_654
{
    class Program
    {
        double GetArea(double radius)
        {
            return Math.Pow(radius, 2) * Math.PI;
        }
        double GetArea(double a, double b, double c)
        {
            double s = (a + b + c) / 2d;
            return Math.Sqrt(s * (s - a) * (s - b) * (s - c));
        }
        double GetArea(double a, double b)
        {
            return a * b;
        }
        static void Main(string[] args)
        {

            #region 第一题
            Triangle tri = new Triangle();
            Console.WriteLine("请输入三角形的第一条边：");
            double lineA = double.Parse(Console.ReadLine());
            Console.WriteLine("请输入三角形的第二条边：");
            double lineB = double.Parse(Console.ReadLine());
            Console.WriteLine("请输入三角形的第三条边：");
            double lineC = double.Parse(Console.ReadLine());

            if (!tri.valid(lineA, lineB, lineC))
            {
                Console.WriteLine("非法的三角形！");
                return;
            }

            Console.WriteLine($"三角形的面积为：{tri.area(lineA, lineB, lineC)}");
            #endregion

            #region 第二题
            Program program = new Program();

            Console.WriteLine("请输入圆的半径：");
            double radius = double.Parse(Console.ReadLine());
            Console.WriteLine($"半径是{radius}的圆的面积是：{program.GetArea(radius):f2}");

            Console.WriteLine("请输入三角形的第一条边：");
            double triLineA = double.Parse(Console.ReadLine());
            Console.WriteLine("请输入三角形的第二条边：");
            double triLineB = double.Parse(Console.ReadLine());
            Console.WriteLine("请输入三角形的第三条边：");
            double triLineC = double.Parse(Console.ReadLine());

            if (!tri.valid(triLineA, triLineB, triLineC))
            {
                Console.WriteLine("非法的三角形！");
                return;
            }

            Console.WriteLine($"三角形的面积为：{program.GetArea(triLineA, triLineB, triLineC)}");

            Console.WriteLine("请输入矩形的第一条边：");
            double sqrLineA = double.Parse(Console.ReadLine());
            Console.WriteLine("请输入矩形的第二条边：");
            double sqrLineB = double.Parse(Console.ReadLine());

            Console.WriteLine($"矩形的面积为：{program.GetArea(sqrLineA, sqrLineB)}");

            #endregion
        }
    }

    class Triangle
    {
        public bool valid(double a, double b, double c)
        {
            return !(a + b < c || a + c < b || b + c < a) && (a > 0 && b > 0 && c > 0);
        }

        public double area(double a, double b, double c)
        {
            double s = (a + b + c) / 2d;
            return Math.Sqrt(s * (s - a) * (s - b) * (s - c));
        }
    }
}
