﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConTriangleArea_654
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("请输入三角形的第一条边：");
            double lineA = double.Parse(Console.ReadLine());
            Console.WriteLine("请输入三角形的第二条边：");
            double lineB = double.Parse(Console.ReadLine());
            Console.WriteLine("请输入三角形的第三条边：");
            double lineC = double.Parse(Console.ReadLine());

            if (!valid(lineA, lineB, lineC))
            {
                Console.WriteLine("非法的三角形！");
                return;
            }

            Console.WriteLine($"三角形的面积为：{area(lineA, lineB, lineC)}");
        }

        static bool valid(double a, double b, double c)
        {
            return !(a + b < c || a + c < b || b + c < a);
        }

        static double area(double a, double b, double c)
        {
            double s = (a + b + c) / 2d;
            return Math.Sqrt(s * (s - a) * (s - b) * (s - c));
        }
    }
}
