﻿using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Test2_654
{
    public partial class Form1 : Form
    {
        bool Upper = false;
        public Form1()
        {
            InitializeComponent();
        }

        private void pictureBox2_Click(object sender, EventArgs e)
        {
            if (!Panel.Visible)
            {
                Panel.Visible = true;
                Generate_Keyboard();
            }
            else
            {
                Panel.Visible = false;
            }
        }

        private void exit_Click(object sender, EventArgs e)
        {
            Panel.Visible = false;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Generate_Keyboard();
        }

        public void Generate_Keyboard()
        {
            Random rand = new Random();

            // Number
            ArrayList listNum = new ArrayList(10);
            int numCount = 0;
            while (true)
            {
                int num = rand.Next(0, 10);
                if (!listNum.Contains(num))
                {
                    listNum.Add(num);
                    numCount++;
                }
                if (numCount == 10)
                {
                    break;
                }
            }
            for (int i = 0; i < 10; i++)
            {
                panel1.Controls[i].Text = listNum[i].ToString();
            }

            // Letter
            ArrayList listLetter = new ArrayList(26);
            int letterCount = 0;
            while (true)
            {
                char letter = (char)rand.Next(97, 123);
                if (!listLetter.Contains(letter))
                {
                    listLetter.Add(letter);
                    letterCount++;
                }
                if (letterCount == 26)
                {
                    break;
                }
            }
            for (int i = 0; i < 26; i++)
            {
                panel2.Controls[i].Text = listLetter[i].ToString();
            }
        }

        private void shift_Click(object sender, EventArgs e)
        {
            if (Upper)
            {
                for (int i = 0; i < 26; i++)
                {
                    panel2.Controls[i].Text = panel2.Controls[i].Text.ToLower();
                }
                Upper = false;
            }
            else
            {
                for (int i = 0; i < 26; i++)
                {
                    panel2.Controls[i].Text = panel2.Controls[i].Text.ToUpper();
                }
                Upper = true;
            }
        }

        private void backspace_Click(object sender, EventArgs e)
        {
            if (textBox1.Text.Length >= 1)
            {
                textBox1.Text = textBox1.Text.Substring(0, textBox1.Text.Length - 1);
            }
        }

        private void Click(object sender, EventArgs e)
        {
            Button btn = sender as Button;
            textBox1.Text += btn.Text;
        }

        private void refresh_Click(object sender, EventArgs e)
        {
            Upper = false;
            Generate_Keyboard();
        }
    }
}
