﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WinForm1_654
{
    public partial class 票价计算器 : Form
    {
        public 票价计算器()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            for (int i=1; i<=12; i++)
            {
                monthBox.Items.Add(i);
            }
            monthBox.SelectedIndex = 0;
        }

        private void firstClassRadio_CheckedChanged(object sender, EventArgs e)
        {
            CalculatePrice();
        }

        private void EconomicClassRadio_CheckedChanged(object sender, EventArgs e)
        {
            CalculatePrice();
        }

        private void monthBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            CalculatePrice();
        }

        void CalculatePrice()
        {
            const decimal price = 4000m;
            decimal finalPrice = 0m;
            if (firstClassRadio.Checked)
            {
                // 头等舱
                switch (monthBox.SelectedItem.ToString())
                {
                    case "1":
                    case "2":
                    case "3":
                    case "4":
                        // 淡季
                        finalPrice = price * 0.6m;
                        break;
                    case "5":
                    case "6":
                    case "7":
                    case "8":
                    case "9":
                    case "10":
                        // 旺季
                        finalPrice = price * 0.9m;
                        break;
                    case "11":
                    case "12":
                        // 淡季
                        finalPrice = price * 0.6m;
                        break;
                    default:
                        priceResult.Text = "请选择月份";
                        return;
                }
            }
            else
            {
                // 经济舱
                switch (monthBox.SelectedItem.ToString())
                {
                    case "1":
                    case "2":
                    case "3":
                    case "4":
                        // 淡季
                        finalPrice = price * 0.3m;
                        break;
                    case "5":
                    case "6":
                    case "7":
                    case "8":
                    case "9":
                    case "10":
                        // 旺季
                        finalPrice = price * 0.75m;
                        break;
                    case "11":
                    case "12":
                        // 淡季
                        finalPrice = price * 0.3m;
                        break;
                    default:
                        priceResult.Text = "请选择月份";
                        return;
                }
                // 经济舱
            }
            priceResult.Text = Convert.ToString(finalPrice);
        }
    }
}
