﻿use master;
if exists(select * from sys.databases where name=N'NoteDB') drop database NoteDB;
create database NoteDB collate Chinese_PRC_CI_AS;
go
use NoteDB;
go
create table UserLogin
(
	UserLoginID int constraint PK_ID_UserLogin primary key,
	UserAccount varchar(20) not null,
	UserPwd varchar(200) not null,
	UserPhoto varchar(200) null,
);
go
create table IncomeExpendType
(
	IncomeExpendTypeId int constraint PK_Id_IncomeExpendType primary key,
	TypeName varchar(50) not null,
	IncomeExpendTypeName varchar(20) not null,
	Remark text null,
);
go
create table IncomeExpendDet
(
	IncomeExpendDetID int constraint PK_ID_IncomeExpendDet primary key,
	IncomeExpendTypeId int foreign key references IncomeExpendType(IncomeExpendTypeId),
	UserLoginID int constraint FK_UserLoginID_IncomeExpendDet_UserLogin foreign key(UserLoginID) references UserLogin(UserLoginID),
	AccountMoney money not null,
	IEDatetime datetime not null,
	Remark text
);
go

insert into UserLogin values(1001, 'admin', '21232f297a57a5a743894a0e4a801fc3', null);
insert into UserLogin(UserLoginID, UserAccount, UserPwd) values(2311654, '夏歆哲', '098f6bcd4621d373cade4e832627b4f6');
go
select * from UserLogin;