﻿using System;
using System.Text.RegularExpressions;

namespace Test1_654
{
    class InvalidEmail : Exception
    {
        public InvalidEmail(string message) : base(message)
        {
        }
    }
    class Program
    {
        static void Main(string[] args)
        {   
            while (true)
            {
                try
                {
                    bool flag = true;

                    string pattern = @"^[a-zA-Z0-9._%+-]+@[a-zA-z0-9.-]+\.[a-zA-Z]{2,}$";

                    Console.WriteLine("Please enter your email");
                    string email = Console.ReadLine();

                    foreach (Match match in Regex.Matches(email, pattern))
                    {
                        flag = false;
                    }
                    if (email == "exit")
                    {
                        return;
                    }
                    if (flag)
                    {
                        throw new InvalidEmail("Invalid Email");
                    }
                }
                catch (InvalidEmail e)
                {
                    Console.WriteLine(e.Message);
                    continue;
                }
                Console.WriteLine("Valid Email");
            }
        }
    }
}
