﻿using System;
using System.IO;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Test2_654
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void save_Click(object sender, EventArgs e)
        {
            SaveFileDialog sf = new SaveFileDialog();
            sf.Filter = "文本文档 (*.txt)|*.txt|所有文件 (*.*)|*.*";
            DialogResult df = sf.ShowDialog();
            if (df == DialogResult.OK)
            {
                StreamWriter sw = new StreamWriter(sf.FileName, false, Encoding.UTF8);
                sw.WriteLine(tb.Text);
                sw.Flush();
                sw.Close();
            }
        }

        private void open_Click(object sender, EventArgs e)
        {
            OpenFileDialog of = new OpenFileDialog();
            of.Filter = "文本文档 (*.txt)|*.txt|所有文件 (*.*)|*.*";
            of.InitialDirectory = Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments);
            DialogResult df = of.ShowDialog();
            if (df == DialogResult.OK)
            {
                StreamReader sr = new StreamReader(of.FileName);
                String line = sr.ReadLine();
                while (line != null)
                {
                    tb.Text += line + "\n";
                    line = sr.ReadLine();
                }
                sr.Close();
            }
        }
    }
}
