﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Test3_654
{
    class Program
    {
        static void Main(string[] args)
        {
            TemperatureWarning tw = new TemperatureWarning();
            tw.OnWarning += new TemperatureWarning.TemperatureHandler(tw.tw_OnWarning);
            while (true)
            {
                Console.WriteLine("请输入温度：");
                string command = Console.ReadLine();
                if (command == "exit")
                {
                    return;
                }
                int t = int.Parse(command);
                tw.Monitor(t);
            }
        }
    }
    class TemperatureEventArgs : EventArgs
    {
        int temperature;
        public int Temperature {  get { return temperature;  } }
        public TemperatureEventArgs(int t)
        {
            this.temperature = t;
        }
    }
    class TemperatureWarning
    {
        public delegate void TemperatureHandler(object sender, TemperatureEventArgs e);
        public event TemperatureHandler OnWarning;
        public void Monitor(int t)
        {
            TemperatureEventArgs e = new TemperatureEventArgs(t);
            if (OnWarning != null)
            {
                OnWarning(this, e);
            }
        }
        public void tw_OnWarning(object sender, TemperatureEventArgs e)
        {
            int t = e.Temperature;
            if (t < 35)
            {
                Console.WriteLine("温度正常");
            }
            else if (t <= 37)
            {
                Console.WriteLine("黄色警报");
            }
            else if (t <= 40)
            {
                Console.WriteLine("橙色警报");
            }
            else
            {
                Console.WriteLine("红色警报");
            }
        }
    }
}
